# $FreeBSD: CVSROOT-src/cfg.pm,v 1.50 2003/02/28 18:28:11 peter Exp $

# Local modifications by David P. Reese, Jr. <daver@gomerbud.com>

####################################################################
####################################################################
# This file contains the default configuration for the CVSROOT
# perl scripts.
#
# WARNING: You are strongly advised to check for syntax errors
# in this file before committing it.  Use: perl -cw cfg.pm
####################################################################
####################################################################

package cfg;
use strict;
use vars qw(
	$AVAIL_FILE $COMMITTER $CVSGROUP $DEBUG
);

my $CVSROOT = $ENV{'CVSROOT'} || die "Can't determine \$CVSROOT!";

######################
### global options ###
######################

# Debug level, 0 = off, 1 = on.
$DEBUG = 0;

# The username of the committer.
$COMMITTER = $ENV{"LOGNAME"} || $ENV{'USER'} || getlogin
		|| (getpwuid($<))[0] || sprintf("uid#%d",$<);

# The symbolic name of the group used for cvs commits
$CVSGROUP = "cvs";

###################
### cvs_acls.pl ###
###################

# Used by cvs_acls.pl
# The name of the avail file that defines who's allow to
# commit to what.
$AVAIL_FILE = "$CVSROOT/CVSROOT/avail";

1; # Perl requires all modules to return true.  Don't delete!!!!
#end
